CVE-2018-10804

NameCVE-2018-10804
DescriptionImageMagick version 7.0.7-28 contains a memory leak in WriteTIFFImage in coders/tiff.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs898217

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imagemagick (PTS)jessie8:6.8.9.9-5+deb8u12vulnerable
jessie (security)8:6.8.9.9-5+deb8u15vulnerable
stretch (security), stretch8:6.9.7.4+dfsg-11+deb9u6vulnerable
buster, sid8:6.9.10.14+dfsg-7fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imagemagicksource(unstable)8:6.9.10.2+dfsg-2unimportant898217
imagemagicksourceexperimental8:6.9.10.2+dfsg-1medium

Notes

https://github.com/ImageMagick/ImageMagick/issues/1053
https://github.com/ImageMagick/ImageMagick/commit/052f6c22d3a2b2aae9dfa24aff9ccdf8b72ace91

Search for package or bug name: Reporting problems